# Class CIM_VideoControllerResolution
extends CIM_Setting

Note: The use of the CIM_VideoControllerResolutionclass has been deprecated in lieu of CIM_VideoHeadResolution. Deprecated description: VideoControllerResolution describes the various video modes that a VideoController can support. Video modes are defined by the possible horizontal and vertical resolutions, refresh rate, scan mode, and number of color settings that are supported by a Controller. The actual resolutions and so on that are in use are the values specified in the VideoController object.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Setting
|
+--CIM_VideoControllerResolution

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Deprecated | string | CIM_VideoHeadResolution

Description

string

Note: The use of the CIM_VideoControllerResolutionclass has been deprecated in lieu of CIM_VideoHeadResolution. Deprecated description: VideoControllerResolution describes the various video modes that a VideoController can support. Video modes are defined by the possible horizontal and vertical resolutions, refresh rate, scan mode, and number of color settings that are supported by a Controller. The actual resolutions and so on that are in use are the values specified in the VideoController object.

UMLPackagePath | string | CIM::Device::Controller
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
HorizontalResolution | uint32 |
Deprecated | string | CIM_VideoHeadResolution.HorizontalResolution
Description | string | The horizontal resolution of the Controller in Pixels.
MappingStrings | string | MIF.DMTF|Monitor Resolutions|002.2
ModelCorrespondence | string | CIM_VideoController.CurrentHorizontalResolution
PUnit | string | pixel
Units | string | Pixels
MaxRefreshRate | uint32 |
Deprecated | string | CIM_VideoHeadResolution.MaxRefreshRate
Description | string | Maximum refresh rate in hertz, when a range of rates is supported at the specified resolutions.
MappingStrings | string | MIF.DMTF|Monitor Resolutions|002.7
ModelCorrespondence | string | CIM_VideoController.MaxRefreshRate
PUnit | string | hertz
Units | string | Hertz
MinRefreshRate | uint32 |
Deprecated | string | CIM_VideoHeadResolution.MinRefreshRate
Description | string | Minimum refresh rate in hertz, when a range of rates is supported at the specified resolutions.
MappingStrings | string | MIF.DMTF|Monitor Resolutions|002.6
ModelCorrespondence | string | CIM_VideoController.MinRefreshRate
PUnit | string | hertz
Units | string | Hertz
NumberOfColors | uint64 |
Deprecated | string | CIM_VideoHeadResolution.NumberOfColors
Description | string | Number of colors that are supported at the current resolutions.
ModelCorrespondence | string | CIM_VideoController.CurrentNumberOfColors
RefreshRate | uint32 |
Deprecated | string | CIM_VideoHeadResolution.RefreshRate
Description | string | Refresh rate in hertz. If a range of rates is supported, use the MinRefreshRate and MaxRefreshRate properties, and set RefreshRate (this property) to 0.
MappingStrings | string | MIF.DMTF|Monitor Resolutions|002.4
ModelCorrespondence | string | CIM_VideoController.CurrentRefreshRate
PUnit | string | hertz
Units | string | Hertz
ScanMode | uint16 |
Deprecated | string | CIM_VideoHeadResolution.ScanMode
Description | string | Integer that indicates whether the Controller operates in interlaced (value=5) or non-interlaced (value=4) mode.
MappingStrings | string | MIF.DMTF|Monitor Resolutions|002.5
ModelCorrespondence | string | CIM_VideoController.CurrentScanMode
ValueMap | string | 1, 2, 3, 4, 5
Values | string | Other, Unknown, Not Supported, Non-Interlaced Operation, Interlaced Operation
SettingID | string |
Deprecated | string | No value
Description | string | The inherited SettingID serves as part of the key for a VideoControllerResolution instance.
Key | boolean | true
MaxLen | uint32 | 256
Override | string | SettingID
VerticalResolution | uint32 |
Deprecated | string | CIM_VideoHeadResolution.VerticalResolution
Description | string | The vertical resolution of the Controller in Pixels.
MappingStrings | string | MIF.DMTF|Monitor Resolutions|002.3
ModelCorrespondence | string | CIM_VideoController.CurrentVerticalResolution
PUnit | string | pixel
Units | string | Pixels

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
ApplyIncrementalChangeToCollection | uint32 | CIM_Setting
ApplyIncrementalChangeToMSE | uint32 | CIM_Setting
ApplyToCollection | uint32 | CIM_Setting
ApplyToMSE | uint32 | CIM_Setting
VerifyOKToApplyIncrementalChangeToCollection | uint32 | CIM_Setting
VerifyOKToApplyIncrementalChangeToMSE | uint32 | CIM_Setting
VerifyOKToApplyToCollection | uint32 | CIM_Setting
VerifyOKToApplyToMSE | uint32 | CIM_Setting